Ubuntu

jockey-gtk crashed with GError in function(): Icon 'jockey-disabled' not present in theme

Reported by Fabio Marconi on 2011-02-09
546
This bug affects 60 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
High
Martin Pitt
Natty
High
Martin Pitt

Bug Description

jockey crash during search of available drivers

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: jockey-gtk 0.9-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-2.29-generic 2.6.38-rc3
Uname: Linux 2.6.38-2-generic x86_64
Architecture: amd64
Date: Wed Feb 9 14:04:28 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/jockey-gtk
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110209)
InterpreterPath: /usr/bin/python2.7
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 0718:0628 Imation Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/jockey-gtk
ProcEnviron:
 LANGUAGE=it_IT:it:en_GB:en
 LANG=it_IT.UTF-8
 LC_MESSAGES=it_IT.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-generic root=UUID=f053fddc-5437-484c-ae59-39d55a31b4c6 ro quiet splash vt.handoff=7
PythonArgs: ['/usr/bin/jockey-gtk']
SourcePackage: jockey
Title: jockey-gtk crashed with GError in function(): Icon 'jockey-disabled' not present in theme
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 11/03/2005
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.50
dmi.board.asset.tag: 00000000
dmi.board.name: K8NF4G-SATA2
dmi.board.version: 1.00
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.50:bd11/03/2005:svn:pnK8NF4G-SATA2:pvr1.00:rvn:rnK8NF4G-SATA2:rvr1.00:
dmi.product.name: K8NF4G-SATA2
dmi.product.version: 1.00

Fabio Marconi (fabiomarconi) wrote :
tags: removed: need-duplicate-check
Martin Pitt (pitti) on 2011-02-11
visibility: private → public
Changed in jockey (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
tags: added: bugpattern-needed
Martin Pitt (pitti) wrote :

As this works with at least Radiance, which theme are you using? I can fix the crash, but it's a bit concerning that it doesn't find the "jockey-disabled" icon in the first place. jockey itself ships it in /usr/share/icons/hicolor/scalable/actions/jockey-disabled.svg

Martin Pitt (pitti) wrote :

Fixed in trunk.

Changed in jockey (Ubuntu Natty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.9-0ubuntu2

---------------
jockey (0.9-0ubuntu2) natty; urgency=low

  * Merge fixes from trunk:
    - jockey-gtk: Use glib.GError, not GLib.Error; the latter does not
      actually work, and in general the static glib bindings are preferred for
      now. (LP: #715753)
    - Add VMWare client tools handler. Thanks Martin Owens! (LP: #716738)
  * Remove bogus changelog entries in previous upload.
 -- Martin Pitt <email address hidden> Tue, 15 Feb 2011 12:58:58 +0100

Changed in jockey (Ubuntu Natty):
status: Fix Committed → Fix Released
Airam RR (airamrguezrivero) wrote :

I've just installed Ubuntu. I'm using the default theme in Ubuntu which I think it's called Ambience. The one wich comes by default.

Cameron Hart (bitshifternz) wrote :

I've just installed Natty post alpha. My icon theme looks like the Gnome default, not Ubuntu icons. I didn't change the theme myself.

Andrew R Wild (awildthingy) wrote :

Thanks @Martin, like the others I too was only using the default theme, since the video driver is the first thing I do in every ubuntu install. Downloading the Natty Daily build now, I'll let you know if it taken care of from this end.

Mikerhinos (mikerhinos) wrote :

Thanks problem solved , i can now access to the additional drivers window , great job :)

On 2/15/2011 4:16 PM, Cameron Hart wrote:
> I've just installed Natty post alpha. My icon theme looks like the Gnome
> default, not Ubuntu icons. I didn't change the theme myself.
>
> ** Attachment added: "Screenshot.png"
> https://bugs.launchpad.net/ubuntu/+source/jockey/+bug/715753/+attachment/1852701/+files/Screenshot.png
>
Yep I was using default will download and install new build.

Similar thing just happened to me in Xubuntu Oneiric Beta 2. Jockey just fails starting up with:

roodis@rootnis:~$ jockey-gtk
Traceback (most recent call last):
  File "/usr/bin/jockey-gtk", line 415, in <module>
    sys.exit(u.run())
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 465, in run
    self.ui_show_main()
  File "/usr/bin/jockey-gtk", line 94, in ui_show_main
    self.update_tree_model()
  File "/usr/bin/jockey-gtk", line 282, in update_tree_model
    pixbuf = theme.load_icon('jockey-disabled', 16, 0)
  File "/usr/lib/python2.7/dist-packages/gi/types.py", line 43, in function
    return info.invoke(*args, **kwargs)
gi._glib.GError: Icon 'jockey-disabled' not present in theme
roodis@rootnis:~$

i checked the file /usr/share/icons/hicolor/scalable/actions/jockey-disabled.svg mentioned in one comment and it's there.

Should I report this as new bug?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers